---
name: Alexandra Martin
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/product/product-manager/">Sr. PM, Fulfillment:Purchase</a>
reports_to: ofernandez2
picture: alexandramartin.jpg
pronouns: She/Her
pronunciation:
twitter:
linkedin: alexandra-martin-67201677
gitlab: alex_martin
departments:
- Product
- Product Monetization
- Fulfillment Section
- Fulfillment PM Team
specialty: Fulfillment
expertise:
story:

